Niezaufanie aktualizatora do źródeł - Ubuntu 10.10


(Baleburg) #1

Witam. Otóż mam problem z aktualizacją pakietów, dość denerwujący ;/ A więc tak:

  1. odpalam aktualizator, który wyszukuje mi cztery aktualizacje - http://img6.imageshack.us/img6/2393/zrz ... raktua.png

  2. kiedy postanawiam zainstalować aktualizacje okazuje się taki irytujący błąd - http://img703.imageshack.us/img703/4885 ... znazwy.png (tam dalej pisze z tym xulrunnerem)

Co poradzić? Martwi mnie to, że chodzi raczej o wbudowanego Firefoxa, gdyż mój niezależny Fx 4b7 rozpakowany z tar.bz2 ma własny system aktualizacji nieuzależniony od systemowych repozytoriów. Być może odpowiedź jest banalnie prosta, jednakże ja jestem jeszcze troszkę zielony, jeżeli chodzi o Linuxa ;x Pozdrawiam.


(roobal) #2

Ja niedawno miałem to samo, też mi wyskoczył ten komunikat, że pakiety nie są podpisane cyfrowo - pakiety z oficjalnych repozytoriów. Sprawdziłem co na to Apt-Get i nic nie marudził, więc uznałem, że to jakiś błąd i zainstalowałem aktualizacje, gdyby Apt-Get coś marudził, to wtedy bym się martwił :slight_smile:

Pozdrawiam!


(Baleburg) #3

No tak, ale ja właśnie nie mogę ich zainstalować. Zawsze wszystko mogę ręcznie, no, ale zrozumiałe jest to, że to ciut niewygodne i chciałbym mieć w poprawnym stanie systemowy aktualizator


(roobal) #4

To u Ciebie problem jest bardziej złożony, bo u mnie było pytania typu jesteś pewny, że chcesz instalować niepodpisane pakiety? Aktualizacje pochodzą z oficjalnego repozytorium czy z jakiegoś prywatnego, np. PPA? A co na to Apt-Get, sprawdzałeś?

Pozdrawiam!


(Baleburg) #5

Raczej z oficjalnego. Co do drugiego pytania to nie, gdyż nie bardzo potrafię się posługiwać terminalem.


(roobal) #6

A warto umieć, uwierz mi :slight_smile: No ale do rzeczy, uruchom terminal i wpisz w nim takie dwa polecenia (jeśli będą jakieś błędy, to na razie niczego tam nie potwierdzaj tylko przeklej tu na forum):

sudo apt-get update

sudo apt-get upgrade

Pozdrawiam!


(Baleburg) #7

(...)

Traf http://extras.ubuntu.com maverick/main Sources

Traf http://extras.ubuntu.com maverick/main i386 Packages

Pobrano 4136B w 3s (1043B/s)

Czytanie list pakietów... Gotowe

W: Błąd GPG: http://ppa.launchpad.net maverick Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY EF4186FE247510BE


(roobal) #8

Czyli jednak z repozytorium prywatnego, z PPA tak jak się spodziewałem. Musisz dodać klucz do bazy, którym podpisane są pakiety i będzie po sprawie, zrobisz to albo w Źródła oprogramowania albo w terminalu ale uwierz mi w terminalu będzie szybciej, wystarczy, że wkleisz te dwa polecenia:

gpg --keyserver subkeys.pgp.net --recv-keys EF4186FE247510BE

gpg --armor --export EF4186FE247510BE | sudo apt-key add -

Potem aktualizujesz jeszcze raz listę pakietów poleceniem:

sudo apt-get update

I możesz aktualizować pakiety bez obaw i problemów albo menedżerem aktualizacji albo poleceniem:

sudo apt-get upgrade

Pozdrawiam!


(Baleburg) #9

No niestety nie powiodło się na chwilę obecną dodanie klucza z powodu przekroczenia limitu czasu zapytania, ale nawet bez niego terminal pozwolił mi niezaufane pakiety pobrać :slight_smile: Serdecznie dziękuję


(roobal) #10

Spróbuj później czasami serwer nie odpowiada. Co do terminala, tak Apt-Get pozwala na zignorowanie tego ostrzeżenia.

Pozdrawiam!